> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.alephant.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.alephant.io/_mcp/server.

# Create project

POST https://alephant.io/api/v1/projects
Content-Type: application/json

Create a project for an Enterprise workspace. Optional initial member and agent assignments are applied atomically with project creation. All workspace members except viewers may write; PATs require the write scope.

Reference: https://developers.alephant.io/api-reference/saa-s-api/projects/create-project

## Servers

- `https://alephant.io` (Production, default)
- `https://dev.alephant.io` (Development)

## Request

### Headers

- `Authorization` (string, required) — Bearer \{access\_token}
- `X-Workspace-Id` (string, required) — Workspace UUID

### Body (application/json)

- `name` (string, required) — Leading and trailing whitespace is trimmed; the trimmed name must contain 1-100 Unicode characters.
- `agentIds` (list of string, optional) — Agent UUIDs to assign atomically when the project is created.
- `description` (string, optional, nullable) — Optional project description; null stores no description.
- `memberIds` (list of string, optional) — Member UUIDs to assign atomically when the project is created.

## Response

### 201

data: created project

- `data` (object, optional)
  - `activeAgentCount` (long, optional)
  - `activeMemberCount` (long, optional)
  - `createdAt` (datetime, optional)
  - `description` (string, optional)
  - `id` (string, optional)
  - `name` (string, optional)
  - `updatedAt` (datetime, optional)

## Examples

**Request**

```json
{
  "name": "Customer Insights Dashboard"
}
```

**Response**

```json
{
  "data": {
    "activeAgentCount": 3,
    "activeMemberCount": 12,
    "createdAt": "2024-01-15T09:30:00Z",
    "description": "Dashboard project for aggregating and visualizing customer data across platforms.",
    "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "name": "Customer Insights Dashboard",
    "updatedAt": "2024-01-15T09:30:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://alephant.io/api/v1/projects"

payload = { "name": "Customer Insights Dashboard" }
headers = {
    "Authorization": "Authorization",
    "X-Workspace-Id": "X-Workspace-Id",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://alephant.io/api/v1/projects';
const options = {
  method: 'POST',
  headers: {
    Authorization: 'Authorization',
    'X-Workspace-Id': 'X-Workspace-Id',
    'Content-Type': 'application/json'
  },
  body: '{"name":"Customer Insights Dashboard"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://alephant.io/api/v1/projects"

	payload := strings.NewReader("{\n  \"name\": \"Customer Insights Dashboard\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Authorization")
	req.Header.Add("X-Workspace-Id", "X-Workspace-Id")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://alephant.io/api/v1/projects")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Authorization'
request["X-Workspace-Id"] = 'X-Workspace-Id'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Customer Insights Dashboard\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://alephant.io/api/v1/projects")
  .header("Authorization", "Authorization")
  .header("X-Workspace-Id", "X-Workspace-Id")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Customer Insights Dashboard\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://alephant.io/api/v1/projects', [
  'body' => '{
  "name": "Customer Insights Dashboard"
}',
  'headers' => [
    'Authorization' => 'Authorization',
    'Content-Type' => 'application/json',
    'X-Workspace-Id' => 'X-Workspace-Id',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://alephant.io/api/v1/projects");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Authorization");
request.AddHeader("X-Workspace-Id", "X-Workspace-Id");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Customer Insights Dashboard\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Authorization",
  "X-Workspace-Id": "X-Workspace-Id",
  "Content-Type": "application/json"
]
let parameters = ["name": "Customer Insights Dashboard"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://alephant.io/api/v1/projects")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```